_Evas_Event_Mouse_Wheel Struct Reference
Evas » Canvas Functions » Canvas Events

Wheel event. More...

`#include <Evas_Legacy.h>`

## Data Fields

int | direction
| Axis of screen wheel - 0 = default up/down wheel, 1 = horizontal left/right wheel.
int | z
| The step for the wheel movement relative to the direction above...,-2,-1 = down, 1,2,... = up.
Evas_Point | output
| The X/Y location of the cursor.
Evas_Coord_Point | canvas
| The X/Y location of the cursor.
void * | data
Evas_Modifier * | modifiers
| modifier keys pressed during the event
Evas_Lock * | locks
unsigned int | timestamp
Evas_Event_Flags | event_flags
Evas_Device * | dev

## Detailed Description

Wheel event.